Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class TailCalls extends SubComponent with Transform

  Perform tail recursive call elimination.

  Perform tail recursive call elimination.

  Definition Classes
    transform
-  class TailCallElimination extends Global.AstTransformer

  A Tail Call Transformer

  A Tail Call Transformer

  Definition Classes
    TailCalls
- ClonedTailContext
- DefDefTailContext
- EmptyTailContext
- TailContext

c

scala.tools.nsc.transform.TailCalls.TailCallElimination

# ClonedTailContext

###

#### class ClonedTailContext extends TailContext

Source
  TailCalls.scala

Linear Supertypes
TailContext, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClonedTailContext
2. TailContext
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ClonedTailContext(that: TailContext, tailPos: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ClonedTailContext toany2stringadd[ClonedTailContext] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ClonedTailContext, B)
   Implicit
     This member is added by an implicit conversion from ClonedTailContext toArrowAssoc[ClonedTailContext] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def clonedTailContext(tailPos: Boolean): TailContext
   Attributes
     protected
   Definition Classes
     TailContext
   Annotations
     @tailrec()
9.  def enclosingType: Global.Type
   Definition Classes
     TailContext
10.  def ensuring(cond: (ClonedTailContext) => Boolean, msg: => Any): ClonedTailContext
    Implicit
      This member is added by an implicit conversion from ClonedTailContext toEnsuring[ClonedTailContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (ClonedTailContext) => Boolean): ClonedTailContext
    Implicit
      This member is added by an implicit conversion from ClonedTailContext toEnsuring[ClonedTailContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): ClonedTailContext
    Implicit
      This member is added by an implicit conversion from ClonedTailContext toEnsuring[ClonedTailContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): ClonedTailContext
    Implicit
      This member is added by an implicit conversion from ClonedTailContext toEnsuring[ClonedTailContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ClonedTailContext toStringFormat[ClonedTailContext] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def isEligible: Boolean
    Definition Classes
      TailContext
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def isMandatory: Boolean
    Definition Classes
      TailContext
23.  def isTransformed: Boolean
    Definition Classes
      TailContext
24.  def label: Global.Symbol
    Definition Classes
      ClonedTailContext → TailContext
25.  def method: Global.Symbol
    Definition Classes
      ClonedTailContext → TailContext
26.  def methodPos: Global.Position
    Definition Classes
      ClonedTailContext → TailContext
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def newThis(pos: Global.Position): Global.TermSymbol
    Definition Classes
      TailContext
29.  final def noTailContext(): TailContext
    Definition Classes
      TailContext
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def tailLabels: Set[Global.Symbol]
    Definition Classes
      ClonedTailContext → TailContext
34.  val tailPos: Boolean
    Definition Classes
      ClonedTailContext → TailContext
35.  val that: TailContext
36.  def toString(): String
    Definition Classes
      TailContext → AnyRef → Any
37.  def tparams: List[Global.Symbol]
    Definition Classes
      ClonedTailContext → TailContext
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
41.  final def yesTailContext(): TailContext
    Definition Classes
      TailContext

### Deprecated Value Members

1.  def →[B](y: B): (ClonedTailContext, B)
   Implicit
     This member is added by an implicit conversion from ClonedTailContext toArrowAssoc[ClonedTailContext] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from TailContext

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromClonedTailContext to any2stringadd[ClonedTailContext]

### Inherited by implicit conversion StringFormat fromClonedTailContext to StringFormat[ClonedTailContext]

### Inherited by implicit conversion Ensuring fromClonedTailContext to Ensuring[ClonedTailContext]

### Inherited by implicit conversion ArrowAssoc fromClonedTailContext to ArrowAssoc[ClonedTailContext]

### Ungrouped